@echo off
setlocal

rem
rem This batch file expects 2 environment variables referenced at the top of this file.
rem 
rem 	ELEKTRON_JAVA_HOME  - root directory of your Elektron SDK for java
rem		JAVA_HOME			- root directory of your Java environment
rem
rem Alternatively, you can modify these references with your own hard-coded specification or environment variable
rem

rem Elektron SDK
set "ETAJ_HOME=%ELEKTRON_JAVA_HOME%\Eta"
set "EMAJ_HOME=%ELEKTRON_JAVA_HOME%\Ema"

rem Java Compiler.
set JAVAC="%JAVA_HOME%\bin\javac"


set SCRIPT=%0
set BINDIR=bin

set CLASSPATH=%EMAJ_HOME%\Libs\ema.jar;%ETAJ_HOME%\Libs\upa.jar;%ETAJ_HOME%\Libs\upaValueAdd.jar;%EMAJ_HOME%\Libs\apache\org.apache.commons.collections.jar;%EMAJ_HOME%\Libs\apache\commons-configuration-1.10.jar;%EMAJ_HOME%\Libs\apache\commons-lang-2.6.jar;%EMAJ_HOME%\Libs\apache\commons-logging-1.2.jar;%EMAJ_HOME%\Libs\SLF4J\slf4j-1.7.12\slf4j-api-1.7.12.jar;%EMAJ_HOME%\Libs\SLF4J\slf4j-1.7.12\slf4j-jdk14-1.7.12.jar

if not exist %BINDIR% (mkdir %BINDIR%)

: Check if a tutorial number is not provided
if "%1"=="" goto :ALL

if %1==1 goto :1
if %1==2 goto :2
if %1==3 goto :3
if %1==4 goto :4
if %1==5 goto :5
if %1==5 goto :6
goto :NO_TUTORIAL

:ALL
:1
echo Building tutorial 1...
%JAVAC% -d %BINDIR% ..\src\com\thomsonreuters\ema\tutorials\consumer\tutorial1\*.java
if %errorlevel% neq 0 (goto :ERROR)
if "%1"=="1" ( goto :DONE )

:2
echo Building tutorial 2...
%JAVAC% -d %BINDIR% ..\src\com\thomsonreuters\ema\tutorials\consumer\tutorial2\*.java
if %errorlevel% neq 0 ( goto :ERROR )
if "%1"=="2" ( goto :DONE )

:3
echo Building tutorial 3...
%JAVAC% -d %BINDIR% ..\src\com\thomsonreuters\ema\tutorials\consumer\tutorial3\*.java
if %errorlevel% neq 0 ( goto :ERROR )
if "%1"=="3" ( goto :DONE )

:4
echo Building tutorial 4...
%JAVAC% -d %BINDIR% ..\src\com\thomsonreuters\ema\tutorials\consumer\tutorial4\*.java
if %errorlevel% neq 0 ( goto :ERROR )
if "%1"=="4" ( goto :DONE )

:5
echo Building tutorial 5...
%JAVAC% -d %BINDIR% ..\src\com\thomsonreuters\ema\tutorials\consumer\tutorial5\*.java
if %errorlevel% neq 0 ( goto :ERROR )
if "%1"=="5" ( goto :DONE )

:6
echo Building tutorial 6...
%JAVAC% -d %BINDIR% src\com\thomsonreuters\ema\tutorials\consumer\tutorial6\*.java
if %errorlevel% neq 0 ( goto :ERROR )
if "%1"=="6" ( goto :DONE )

if %errorlevel% neq 0 ( goto :ERROR )
goto :DONE

:NO_TUTORIAL
echo.
echo =================================================================================================
echo Which tutorial do you want to build?  Valid tutorials: 1, 2, 3, 4, 5, or 6 Eg: %SCRIPT% 1
echo =================================================================================================

:ERROR
echo.
echo Build failed.  Exiting.
goto :EOF

:DONE
echo.
echo Done.
