#!/bin/ksh

BINDIR=bin
if [ ! -d $BINDIR ]; then
  mkdir $BINDIR
fi

ETAJ_HOME=$ELEKTRON_JAVA_HOME/Eta
EMAJ_HOME=$ELEKTRON_JAVA_HOME/Ema
JAVAC=$JAVA_HOME/bin/javac

CLASSPATH=$EMAJ_HOME/Libs/ema.jar:$ETAJ_HOME/Libs/upa.jar:$ETAJ_HOME/Libs/upaValueAdd.jar:$EMAJ_HOME/Libs/apache/org.apache.commons.collections.jar:$EMAJ_HOME/Libs/apache/commons-configuration-1.10.jar:$EMAJ_HOME/Libs/apache/commons-lang-2.6.jar:$EMAJ_HOME/Libs/apache/commons-logging-1.2.jar:$EMAJ_HOME/Libs/SLF4J/slf4j-1.7.12/slf4j-api-1.7.12.jar:$EMAJ_HOME/Libs/SLF4J/slf4j-1.7.12/slf4j-jdk14-1.7.12.jar

function build
{
   printf "Building tutorial $1...\n"
   $JAVAC -d $BINDIR ../src/com/thomsonreuters/ema/tutorials/consumer/tutorial$1/*.java; ret=$?

   if [ $ret != 0 ]; then
      printf "\nBuild failed.  Exiting\n"
      exit $ret
   fi
}

arg="${1}"
case ${arg} in
   "1")
      build 1
      ;;
   "2")
      build 2
      ;;
   "3")
      build 3
      ;;
   "4")
      build 4
      ;;
   "5")
      build 5
      ;;
   "6")
      build 6
      ;;
   "")
      build 1
      build 2
      build 3
      build 4
      build 5
      build 6
      ;; 
   *)
      echo ==========================================================================
      echo Which tutorial do you want to build?  Valid tutorials: 1, 2, 3, 4, 5, or 6
      echo "   Eg: sh $0 1"
      echo ==========================================================================
      exit 0
      ;;
esac

printf "\nDone.\n"
