@echo off
setlocal

rem
rem This batch file expects 2 environment variables referenced at the top of this file.
rem 
rem 	ELEKTRON_JAVA_HOME  - root directory of your Elektron SDK for java
rem		JAVA_HOME			- root directory of your Java environment
rem
rem Alternatively, you can modify these references with your own hard-coded specification or environment variable
rem
rem In addition, the ESDK releases are versioned within Maven and release packages will use this version number
rem within library file names.  Set the version of your ESDK installation.

rem ESDK Version
set VERSION=3.2.1.0

rem Elektron SDK
set "EMAJ_HOME=%ELEKTRON_JAVA_HOME%\Java\Ema"

rem Java Compiler.
set JAVAC="%JAVA_HOME%\bin\javac"

set SCRIPT=%0
set BINDIR=bin

set CLASSPATH=%EMAJ_HOME%\Libs\ema-%VERSION%.jar

if not exist %BINDIR% (mkdir %BINDIR%)

echo Building tutorial 6...
%JAVAC% -d %BINDIR% src\com\thomsonreuters\ema\tutorials\consumer\tutorial6\Consumer.java
if %errorlevel% neq 0 ( goto :ERROR )
goto :DONE

:ERROR
echo.
echo Build failed.  Exiting.
goto :EOF

:DONE
echo.
echo Done.
