@echo off
setlocal

rem
rem This batch file expects 2 environment variables referenced at the top of this file.
rem 
rem 	ELEKTRON_JAVA_HOME  - root directory of your Elektron SDK for java
rem		JAVA_HOME			- root directory of your Java environment
rem
rem Alternatively, you can modify these references with your own hard-coded specification or environment variable
rem
rem In addition, the ESDK releases are versioned within Maven and release packages will use this version number
rem within library file names.  Set the version of your ESDK installation.

rem ESDK Version
set VERSION=3.2.1.0

rem Elektron SDK folders
set ETAJ_HOME="%ELEKTRON_JAVA_HOME%"\Java\Eta
set EMAJ_HOME="%ELEKTRON_JAVA_HOME%"\Java\Ema

rem Java runtime (use -Xdiag to determine class loading issues)
set JAVA="%JAVA_HOME%\bin\java"

set BINPAK="%ELEKTRON_JAVA_HOME%"\Elektron-SDK-BinaryPack\Java\Ema\Libs


set SCRIPT=%0

set CLASSPATH=.;.\bin;%EMAJ_HOME%\Libs\ema-%VERSION%.jar;%ETAJ_HOME%\Libs\upa-%VERSION%.jar;%ETAJ_HOME%\Libs\upaValueAdd-%VERSION%.jar;%BINPAK%\apache\commons-collections-3.2.2.jar;%BINPAK%\apache\commons-configuration-1.10.jar;%BINPAK%\apache\commons-lang-2.6.jar;%BINPAK%\apache\commons-logging-1.2.jar;%BINPAK%\SLF4J\slf4j-1.7.12\slf4j-api-1.7.12.jar;%BINPAK%\SLF4J\slf4j-1.7.12\slf4j-jdk14-1.7.12.jar


: Check if a tutorial number is not provided
if "%1"=="" goto :NO_TUTORIAL

if %1==1 goto :1
if %1==2 goto :2
if %1==3 goto :3
if %1==4 goto :4
if %1==5 goto :5
if %1==6 goto :6
goto :Default

:1
echo Running tutorial 1...
%JAVA% -cp %CLASSPATH% com.thomsonreuters.ema.tutorials.consumer.tutorial1.basicConsumer
goto :EOF

:2
echo Running tutorial 2...
%JAVA% -cp %CLASSPATH% com.thomsonreuters.ema.tutorials.consumer.tutorial2.basicConsumer
goto :EOF

:3
echo Running tutorial 3...
%JAVA% -cp %CLASSPATH% com.thomsonreuters.ema.tutorials.consumer.tutorial3.basicConsumer
goto :EOF

:4
echo Running tutorial 4...
%JAVA% -cp %CLASSPATH% com.thomsonreuters.ema.tutorials.consumer.tutorial4.basicConsumer
goto :EOF

:5
echo Running tutorial 5...
%JAVA% -cp %CLASSPATH% com.thomsonreuters.ema.tutorials.consumer.tutorial5.basicConsumer
goto :EOF

:6
echo Running tutorial 6...
%JAVA% -cp %CLASSPATH% com.thomsonreuters.ema.tutorials.consumer.tutorial6.basicConsumer
goto :EOF


:Default
echo Invalid tutorial specified
goto :NO_TUTORIAL


:NO_TUTORIAL
echo.
echo ======================================================================================
echo Which tutorial do you want to run?  Valid tutorials: 1, 2, 3, 4, 5 or 6 Eg: %SCRIPT% 1
echo ======================================================================================
