@echo off
setlocal

rem
rem This batch file expects 2 environment variables referenced at the top of this file.
rem 
rem 	ELEKTRON_JAVA_HOME  - root directory of your Elektron SDK for java
rem		JAVA_HOME			- root directory of your Java environment
rem
rem Alternatively, you can modify these references with your own hard-coded specification or environment variable
rem
rem In addition, the ESDK releases are versioned within Maven and release packages will use this version number
rem within library file names.  Set the version of your ESDK installation.

rem ESDK Version
set VERSION=3.2.1.0

rem Elektron SDK folders
set ETAJ_HOME="%ELEKTRON_JAVA_HOME%"\Java\Eta
set EMAJ_HOME="%ELEKTRON_JAVA_HOME%"\Java\Ema
echo %ELEKTRON_JAVA_HOME%
echo %ETAJ_HOME%
echo %EMAJ_HOME%

rem Java runtime (use -Xdiag to determine class loading issues)
set JAVA="%JAVA_HOME%\bin\java"

set BINPAK="%ELEKTRON_JAVA_HOME%"\Elektron-SDK-BinaryPack\Java\Ema\Libs


set SCRIPT=%0

set CLASSPATH=.;.\bin;%EMAJ_HOME%\Libs\ema-%VERSION%.jar;%ETAJ_HOME%\Libs\upa-%VERSION%.jar;%ETAJ_HOME%\Libs\upaValueAdd-%VERSION%.jar;%BINPAK%\apache\commons-collections-3.2.2.jar;%BINPAK%\apache\commons-configuration-1.10.jar;%BINPAK%\apache\commons-lang-2.6.jar;%BINPAK%\apache\commons-logging-1.2.jar;%BINPAK%\SLF4J\slf4j-1.7.12\slf4j-api-1.7.12.jar;%BINPAK%\SLF4J\slf4j-1.7.12\slf4j-jdk14-1.7.12.jar
echo %CLASSPATH%

echo Running tutorial 6...
%JAVA% -cp %CLASSPATH% com.thomsonreuters.ema.tutorials.consumer.tutorial6.Consumer
goto :EOF